Debian Bug report logs - #656903
RFP: desurium -- Desura is a gaming client that allows a user to one click download and install games and game modification.

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Roman V. Nikolaev" <rshadow@rambler.ru>

Date: Sun, 22 Jan 2012 19:15:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#656903; Package wnpp. (Sun, 22 Jan 2012 19:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Roman V. Nikolaev" <rshadow@rambler.ru>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 22 Jan 2012 19:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Roman V. Nikolaev" <rshadow@rambler.ru>
To: submit@bugs.debian.org
Cc: debian-devel-games@lists.debian.org
Subject: RFP: desurium -- Desura is a gaming client that allows a user to one click download and install games and game modification.
Date: Sun, 22 Jan 2012 23:10:19 +0400
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org

--- Please fill out the fields below. ---

   Package name: desurium
        Version: 2012.01.20
Upstream Author: Mark Chandler (Desura Net Pty Ltd) <support@desura.com>
            URL: https://github.com/lodle/Desurium
            URL: http://www.desura.com
        License: GPLv3
    Description: Desurium is a gaming client that allows a user to one 
click download and install games and game modification.
.
This is open version of Desura client.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#656903; Package wnpp. (Fri, 24 Feb 2012 23:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 24 Feb 2012 23:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 656903@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: 656903@bugs.debian.org
Cc: debian-devel-games@lists.debian.org, "Roman V. Nikolaev" <rshadow@rambler.ru>
Subject: Re: RFP: desurium -- Desura is a gaming client that allows a user to one click download and install games and game modification.
Date: Sat, 25 Feb 2012 00:38:46 +0100
Hi,

I just had a look at the upstream source and I think getting Desurium into Debian isn't that trivial.

The problem is that Desurium is built with a lot of third party applications and libraries
in tree. It includes boost, wxWidgets, curl among others and expects them to reside
in src/third_party in the source tree in order to build properly.

However, since most of these packages are already part of Debian, the build script
of Desurium will have to be patched in order to use the existing versions in Debian.
It is not desirable to have redundant packages in Debian.

Adrian



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#656903; Package wnpp. (Tue, 10 Jul 2012 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karol Herbst <karol.herbst@nordakademie.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 10 Jul 2012 15:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 656903@bugs.debian.org (full text, mbox):

From: Karol Herbst <karol.herbst@nordakademie.de>
To: <656903@bugs.debian.org>
Cc: <debian-devel-games@lists.debian.org>, "Roman V. Nikolaev" <rshadow@rambler.ru>, John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Subject: Re: RFP: desurium -- Desura is a gaming client that allows a user to one click download and install games and game modification.
Date: Tue, 10 Jul 2012 17:22:09 +0200
Hi,

I want just to summarize all important changes since the last comment:

1. We moved entirely to cmake, so we are checking for installed
dependencies and stuff
2. We are trying to move to a system wxWidgets at the moment. It is
possible to use a system wxWidgets with a dirty little hack, but because
we don't want a dirty little hack here, this will take some time
3. We have a little problem with cURL. Look here for more information:
https://github.com/lodle/Desurium/issues/199 we need c-ares support on
some plattforms, that is the main reason for building cURL (which will
be statically linked into the desura binaries)
4. we are building CEF, but we think about to make it possible to build
it separately https://github.com/lodle/Desurium/issues/258

Please create issues for every thing you are not happy with here:
https://github.com/lodle/Desurium/issues?state=open

Thanks

Karol





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#656903; Package wnpp. (Sun, 21 Oct 2012 22:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nothing Much <nothingmuchheretosay@yahoo.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 21 Oct 2012 22:03:02 GMT) Full text and rfc822 format available.

Message #20 received at 656903@bugs.debian.org (full text, mbox):

From: Nothing Much <nothingmuchheretosay@yahoo.com>
To: "656903@bugs.debian.org" <656903@bugs.debian.org>
Subject: Desurium updates for Debian?
Date: Sun, 21 Oct 2012 15:01:16 -0700 (PDT)
[Message part 1 (text/plain, inline)]
Have there been any updates for a package for Desurium?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#656903; Package wnpp. (Sun, 11 Nov 2012 15:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Per W." <debbugs.perfide@safersignup.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 11 Nov 2012 15:30:05 GMT) Full text and rfc822 format available.

Message #25 received at 656903@bugs.debian.org (full text, mbox):

From: "Per W." <debbugs.perfide@safersignup.com>
To: 656903@bugs.debian.org
Subject: Desurium on a LP PPA
Date: Sun, 11 Nov 2012 16:27:17 +0100
There are working Debian packages on the PPA of Tomasz Makarewicz.
We should bring that package to Debian!

https://launchpad.net/~makson96/+archive/desurium

https://launchpad.net/~makson96/+archive/desurium-stable

The currently used version string is
"2:0.9.0-devel+git20121104-makson2~ppa1".
I think the version string on a Ubuntu PPA with no released on Ubuntu or
Debian should be "0.8.0+20121104-0ubuntu0makson1".
The version string on Debian should be like "0.8.0+20121104-1".
(0.9 is not yet announced, the currently used VCS does not matter,
"devel" should never be part of a version string instead there could be
a package named "desurium-unstable")



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#656903; Package wnpp. (Sun, 11 Nov 2012 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomasz Makarewicz <makson96@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 11 Nov 2012 21:45:03 GMT) Full text and rfc822 format available.

Message #30 received at 656903@bugs.debian.org (full text, mbox):

From: Tomasz Makarewicz <makson96@gmail.com>
To: 656903@bugs.debian.org
Subject: RE: Desurium on a LP PPA
Date: Sun, 11 Nov 2012 22:42:51 +0100
Hi there,
I would like to share some notes about my PPA.
The version should be 0.9.0. The 0.8.0 is living in separate branch:
https://github.com/lodle/Desurium/tree/0.8
while 0.9.0 is current master. If you want 0.8 version you can use this PPA:
https://launchpad.net/~makson96/+archive/desurium-stable

Right now I am in the middle of reorganizing repository. Desurium will
no longer use its own wxWidgets, but system library instead. It needs
wxWidgets 2.9.3 which will be provided by PPA, but it is unfortunately
not present in Debian main repo.

I will prepare another package "libcef-desura" which will provide
patched Desura specific CEF.

The "desurium" package will be build without CEF and will depend on
"libcef-desura".

Additionally there is curl with c-ares support build in desurium
package. For the moment system curl (without c-ares) could not be
used, as it make client unstable:
https://github.com/lodle/Desurium/issues/199

The last external library which is build in desurium is Google
Breakpad, which might be dropped too:
https://github.com/lodle/Desurium/issues/297

Please give us exact hints, what needs to be done before accepting
Desurium to Debian repositories.

Best regards,
Tomasz Makarewicz



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#656903; Package wnpp. (Mon, 12 Nov 2012 17:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Per W." <debbugs.perfide@safersignup.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 12 Nov 2012 17:24:03 GMT) Full text and rfc822 format available.

Message #35 received at 656903@bugs.debian.org (full text, mbox):

From: "Per W." <debbugs.perfide@safersignup.com>
To: 656903@bugs.debian.org
Subject: RE: Desurium on a LP PPA
Date: Mon, 12 Nov 2012 18:21:18 +0100
Debian version strings:
If you are on the 0.9 branch you have to make clear that your package is
smaller than "0.9.0-1".
Your "0.9.0-devel+git20121104-makson*" > 0.9.0.
So I would use something like "0.9.0~20121104-0ubuntu0makson1" on Ubuntu
and 0.9.0~20121104-1" on Debian.

wxWidgets:
wxwidgets2.9 might never be part of Debian, since it is the current
wxWidgets development branch.
Debian will switch to wxwidgets2.10 when it gets released by upstream.
Development of end-user-software should be based on wxwidgets2.8.
wxwidgets2.9 could be part of a wxwidgets-unstable package only
available in Debian/sid, but this is unlikely to happen and it would
mean that desurium could never join Debian/testing.

CEF:
I don't know CEF but you should try to contact CEF-upstream and let them
merge the changes needed for desurium.
Having libcef and libcef-desura would mean code duplication which should
be avoided if possible.
Since libcef does not exist on Debian or Ubuntu it might be possible to
include the changes in a "libcef" package if they would brake no other
packages using libcef.

cURL:
If possible add c-ares support into upstreams curl.
If not include a patch in Debians curl package.
If that patch would break things, fork curl or remove dependency on
c-ares from desurium.
Forking means code duplication means worse maintainability.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#656903; Package wnpp. (Tue, 13 Nov 2012 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergio Perez <dagobertstaler@t-online.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 13 Nov 2012 19:51:03 GMT) Full text and rfc822 format available.

Message #40 received at 656903@bugs.debian.org (full text, mbox):

From: Sergio Perez <dagobertstaler@t-online.de>
To: 656903@bugs.debian.org
Subject: RE: Desurium on a LP PPA
Date: Tue, 13 Nov 2012 20:47:40 +0100
[Message part 1 (text/plain, inline)]
Hi;
I'd like to make a few remarks.
cURL:
c-ares support is upstream; it is enabled through --enable-ares in
configure; so it is a build time switch
the thing is; you can have either threads or c-ares.
wxWidgets:
we use 2.9 because we inherited that dependency when desura became
opensource; desurium is a community developed client; so nobody has had
the time or patience to port it to 2.8
CEF:
the chromium embedded framework (
https://code.google.com/p/chromiumembedded/); is a patch on top of
chromium to be able to embed it into an application; nobody has an idea
what was done to cef and if any of the patches are neccesary or whatnot.
But since nobody wants to actually look into this (
https://github.com/lodle/Desurium/blob/master/cmake/patches/cef.patch)
~300kb patch we can't change that we use a version based on a chromium
15 release.

Regards
Sergio Perez
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#656903; Package wnpp. (Tue, 21 May 2013 15:33:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karol Herbst <karolherbst@me.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 21 May 2013 15:33:13 GMT) Full text and rfc822 format available.

Message #45 received at 656903@bugs.debian.org (full text, mbox):

From: Karol Herbst <karolherbst@me.com>
To: 656903@bugs.debian.org
Subject: status update to this package request
Date: Tue, 21 May 2013 14:31:30 +0000 (GMT)
[Message part 1 (text/plain, inline)]
Hi,

We have changed some points in the past to make it easier for you to add desurium
1. we add the ability to bundle wxWidgets through the desurium build system. This means, that wxGTK+-2.9.3 is built by the 
build system either if missing or forced by a cmake option.
2. though we are using one repository, we are able to build libcef_desura and desura seperated. We are planning to seperate this, but it is much harder than we thought this would be, so we will stay with this until 0.9 or 1.0.
3. we could add a "bundled" option for curl, too, but we could try out if it just works out of the box without c-ares support. We had only issues on ubuntu, so it is a bit tricky to find the cause of this bug. 
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#656903; Package wnpp. (Mon, 23 Sep 2013 08:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vedran Miletić <rivanvx@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 23 Sep 2013 08:00:04 GMT) Full text and rfc822 format available.

Message #50 received at 656903@bugs.debian.org (full text, mbox):

From: Vedran Miletić <rivanvx@gmail.com>
To: 656903@bugs.debian.org
Subject: Status update
Date: Mon, 23 Sep 2013 09:57:08 +0200
Hi Karol and all,

glad to see Desurium is being packaged for Debian. I see a lot of
activity on GitHub. Have there been more updates since may?

Regards,
Vedran



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#656903; Package wnpp. (Fri, 11 Oct 2013 13:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomasz Makarewicz <makson96@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 11 Oct 2013 13:12:09 GMT) Full text and rfc822 format available.

Message #55 received at 656903@bugs.debian.org (full text, mbox):

From: Tomasz Makarewicz <makson96@gmail.com>
To: 656903@bugs.debian.org
Subject: RE: Status update
Date: Fri, 11 Oct 2013 15:09:31 +0200
[Message part 1 (text/plain, inline)]
Hi Vedran,
We are devoted to fulfil Debian requests to make it into repositories.
Progress is going pretty nice. We are working with wxWidgets developers to
fix remaining bugs:
http://trac.wxwidgets.org/ticket/15529
wxWidgets 3.0 is just around the corner and we hope it will be included
into Debian repositories and we will use it from it.

We still need more test, but it seems that we also nailed curl bug and will
be able to use curl directly from Debian repositories:
https://github.com/desura/Desurium/pull/618

The big remaining thing is libcef which is not present in standard Debian
repositories and we still need to patch it. Will it be OK for Debian if
bring such a library for Desurium needs?

Best regards,
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 03:49:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.